%define major 0.5
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: yaml-cpp
Version: 0.5.1
%define subrel 1
Release: %mkrel 6
Summary: A YAML parser and emitter for C++
Group: System/Libraries
License: MIT
URL: http://code.google.com/p/yaml-cpp/
Source0: http://yaml-cpp.googlecode.com/files/%{name}-%{version}.tar.gz
# https://github.com/jbeder/yaml-cpp/pull/489
# Using earlier version which doesn't require C++11: https://bugzilla.novell.com/show_bug.cgi?id=CVE-2017-5950
Patch0: yaml-cpp-0.5.1-CVE-2017-5950.patch

BuildRequires: boost-devel
BuildRequires: cmake

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %libname
Summary: Shared library for %{name}
Group: System/Libraries

%description -n %libname
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %develname
Summary: Development files for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
# ask cmake to not strip binaries
%cmake -DYAML_CPP_BUILD_TOOLS=0
%make_build

%install
%make_install -C build

%files -n %libname
%doc license.txt
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %develname
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Nov 19 2018 akien <akien> 0.5.1-6.1.mga6
+ Revision: 1331911
- Add patch for CVE-2017-5950 (mga#23695)

* Sat Feb 13 2016 umeabot <umeabot> 0.5.1-6.mga6
+ Revision: 959355
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 joequant <joequant> 0.5.1-5.mga6
+ Revision: 868953
- rebuild with new gcc api

* Mon Aug 24 2015 cjw <cjw> 0.5.1-4.mga6
+ Revision: 868952
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 744074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-2.mga5
+ Revision: 690825
- Mageia 5 Mass Rebuild

* Mon Jul 14 2014 akien <akien> 0.5.1-1.mga5
+ Revision: 651807
- Version 0.5.1

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 520869
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- add notice

* Mon Jan 14 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 387547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.3.0-1.mga3
+ Revision: 306621
- fix installation
- imported package yaml-cpp

